Subject: Re: [bug#48751] [PATCH] services: laminar: Create parent directory for unix socket.

From: Arun Isaac <[email-masked]>
Date: Thu, 10 Jun 2021 10:30:12 +0530

Hi Chris,

> This looks good to me.

Pushed to master, thanks for the review!

> I don't think I've played around too much with different bind options,
> so I haven't come across this issue.

One problem still remains even after this patch. If the laminar web UI
is behind an nginx reverse proxy, the nginx user needs to have
read/write permissions to the unix socket. For this, it should be a
member of the laminar group. But, short of modifying the nginx service,
I don't know of any way to achieve this. Something more composable would
be nice. The nginx service being aware of laminar doesn't sound
right. Any ideas?

Regards,
Arun